## xprintidle 0.1

=== Makefile ===
# Change X11_BASE to suit your system.
X11_BASE=/usr/X11R6

CFLAGS=-O2
CPPFLAGS=-I$(X11_BASE)/include
LDFLAGS=-L$(X11_BASE)/lib -lX11 -lXss

xprintidle	: xprintidle.c

install	: xprintidle
	@echo You have to install this program manually.
	@echo Just copy '"xprintidle"' wherever you want it.

## xprintidle 0.2

=== debian/changelog ===
xprintidle (0.2-9) unstable; urgency=low

  * Orphaned.

 -- Milan Zamazal <pdm@debian.org>  Sat, 30 Nov 2013 21:03:33 +0100

xprintidle (0.2-8) unstable; urgency=low

  * Run autoreconf with `-fi'; closes: #725513, #725565.
  * Don't run (indirectly) configure in `clean' target.
  * Thanks to Hideki Yamane <henrich@debian.org> for these fixes.

 -- Milan Zamazal <pdm@debian.org>  Sat, 19 Oct 2013 22:55:43 +0200

xprintidle (0.2-7) unstable; urgency=low

  * Fix of FTBFS error; closes: #713448.

 -- Milan Zamazal <pdm@debian.org>  Sat, 29 Jun 2013 17:54:52 +0200

xprintidle (0.2-6) experimental; urgency=low

  * Upload to experimental because wheezy is frozen.
  * Initialize XScreenSaverInfo properly.
  * Standards 3.9.3 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Mon, 19 Nov 2012 22:45:05 +0100

xprintidle (0.2-5) unstable; urgency=low

  * Revert configure changes on cleanup in order to make dpkg 1.16.1
    happy; closes: #652209.
  * build-arch and build-indep targets added to debian/rules.
  * Standards 3.9.2 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Mon, 02 Jan 2012 11:19:42 +0100

xprintidle (0.2-4) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Separate upstream patches to debian/patches/.
  * Mistakenly included _darcs subdirectory removed.
  * Homepage field added.
  * Standards 3.8.4.

 -- Milan Zamazal <pdm@debian.org>  Mon, 15 Mar 2010 11:00:23 +0100

xprintidle (0.2-3) unstable; urgency=low

  * Link against libXext; closes: #556721.
  * Standards 3.8.3 (no real change).
  * Updated to debhelper 7.

 -- Milan Zamazal <pdm@debian.org>  Mon, 23 Nov 2009 13:10:24 +0100

xprintidle (0.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Milan Zamazal <pdm@debian.org>  Sat, 07 Mar 2009 14:30:37 +0100

xprintidle (0.2-1) experimental; urgency=low

  * New upstream version; closes: #502226.
  * Uploaded to experimental because lenny is frozen.
  * DEB_BUILD_OPTIONS updated to comply with new policy.
  * Don't ignore `make clean' failure in debian/rules.
  * Call `make distclean' instead of just `make clean' in debian/rules.
  * Standards 3.8.0.

 -- Milan Zamazal <pdm@debian.org>  Thu, 16 Oct 2008 13:54:54 +0200

xprintidle (0.1-1) unstable; urgency=low

  * Initial release; closes: #372883.

 -- Milan Zamazal <pdm@debian.org>  Mon, 12 Jun 2006 18:25:29 +0200

=== debian/control ===
Source: xprintidle
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), libx11-dev, libxss-dev, x11proto-scrnsaver-dev, automake
Standards-Version: 3.9.3
Homepage: http://www.dtek.chalmers.se/~henoch/text/xprintidle.html

Package: xprintidle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Small utility that prints user's idle time in X
 xprintidle is a utility that queries the X server for the user's idle
 time and prints it to stdout (in milliseconds).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package = xprintidle

autofiles = aclocal.m4 configure Makefile.in

CFLAGS = -Wall -g
INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
    INSTALL_PROGRAM += -s
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	set -e; for f in $(autofiles); do if [ ! -f "$$ff.upstream" ]; then cp "$$f" "$$f.upstream"; fi; done
	autoreconf -fi
	./configure --prefix=/usr --x-libraries=/usr/lib
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f xprintidle
	dh_clean 
	set -e; for f in $(autofiles); do if [ -f "$$f.upstream" ]; then mv $$f.upstream $$f; fi; done

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(package)


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman debian/xprintidle.1
	dh_install xprintidle /usr/bin/
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## xprintidle 0.2.3

=== debian/changelog ===
xprintidle (0.2.3-3~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 10 Sep 2020 08:22:51 -0400

xprintidle (0.2.3-3) unstable; urgency=medium

  * Added required pkg-config as build dependency.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 18 Aug 2020 23:49:25 +0200

xprintidle (0.2.3-2) unstable; urgency=medium

  * Added missing meson as build-dependency.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 18 Aug 2020 20:58:50 +0200

xprintidle (0.2.3-1) unstable; urgency=medium

  * Add gbp.conf to enforce pristine-tar.
  * Switch to new upstream source,
    https://github.com/g0hl1n/xprintidle/.
  * New upstream version 0.2.3
    - Adjusted d/docs for new README.md name.
    - Removed all debian patches, either obsolete or applied.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 18 Aug 2020 15:51:24 +0200

xprintidle (0.2-12) unstable; urgency=medium

  * Added patch to conditionally disable workaround for broken X.org
    server (LP: #1669371).
  * Converted d/copyright to machine readable format.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 12 Aug 2020 11:05:55 +0200

xprintidle (0.2-11) unstable; urgency=medium

  * Add patch headers to all patches.
  * Update Vcs URLs to new Salsa location.
  * Moved to debhelper compat level 12.
  * Updated Standards-Version from 3.9.6 to 4.5.0.
  * Dropped useless trailing blank line from changelog (thank you, lintian).
  * Restructured patches to add classification.
  * Drop explicit use of dh-autoreconf, handled by debhelper.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 11 Aug 2020 17:48:23 +0200

xprintidle (0.2-10) unstable; urgency=low

  * Adopt package.
  * Switch to debhelper 9.
  * Change Standards-Version from 3.9.3 to 3.9.6.
  * Remove Homepage control field, as the upstream project is missing.
    (Closes: #764104)
  * Rewrite the build rules to use dh.  Added new x11-autoconf.patch
    to get this working.
  * Place package under collab-maint and add vcs fields in control file.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 05 Jan 2016 20:53:46 +0100

=== debian/control ===
Source: xprintidle
Section: x11
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Petter Reinholdtsen <pere@debian.org>
Build-Depends:
 debhelper (>= 12),
 meson,
 pkg-config,
 libx11-dev,
 libxss-dev,
 x11proto-scrnsaver-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/xprintidle.git
Vcs-Git: https://salsa.debian.org/debian/xprintidle.git
Homepage: https://github.com/g0hl1n/xprintidle/

Package: xprintidle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Small utility that prints user's idle time in X
 xprintidle is a utility that queries the X server for the user's idle
 time and prints it to stdout (in milliseconds).

## xprintidle 0.2.4

=== debian/changelog ===
xprintidle (0.2.4-2) unstable; urgency=medium

  * Updated d/watch to handle new github link structure.
  * Updated Standards-Version from 4.5.0 to 4.6.0.
  * Document in d/control no root access is needed during build.
  * Switched debhelper level from 12 to 13.
  * Corrected browser vcs field in d/control.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 01 Oct 2021 07:18:10 +0200

xprintidle (0.2.4-1) unstable; urgency=medium

  * New upstream version 0.2.4
  * Drop debian manual page as upstream now have one.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 26 Nov 2020 22:26:41 +0100

=== debian/control ===
Source: xprintidle
Section: x11
Priority: optional
Maintainer: Petter Reinholdtsen <pere@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 meson,
 pkg-config,
 libx11-dev,
 libxss-dev,
 x11proto-scrnsaver-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian/xprintidle
Vcs-Git: https://salsa.debian.org/debian/xprintidle.git
Homepage: https://github.com/g0hl1n/xprintidle/
Rules-Requires-Root: no

Package: xprintidle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Small utility that prints user's idle time in X
 xprintidle is a utility that queries the X server for the user's idle
 time and prints it to stdout (in milliseconds).

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/xprintidle-$1.tar.gz/" \
  https://github.com/g0hl1n/xprintidle/releases .*/archive/refs/tags/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## xprintidle 0.2.5

=== debian/changelog ===
xprintidle (0.2.5-2) unstable; urgency=medium

  * Added simple autopkgtest script to validate xprintidle is working.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 13 Feb 2023 18:51:11 +0100

xprintidle (0.2.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Petter Reinholdtsen ]
  * New upstream version 0.2.5.
  * Corrected d/watch to work with current github.
  * Updated Standards-Version from 4.6.1 to 4.6.2.  No changes needed.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 13 Feb 2023 07:21:05 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libx11-dev,
  libxss-dev,
  x11proto-scrnsaver-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/xprintidle
 Vcs-Git: https://salsa.debian.org/debian/xprintidle.git
 Homepage: https://github.com/g0hl1n/xprintidle/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/xprintidle-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/g0hl1n/xprintidle/tags .*/v?(\d\S*)\.tar\.gz

## xprintidle 0.3.0

=== debian/changelog ===
xprintidle (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 13 Aug 2024 00:21:31 +0200

xprintidle (0.2.5-3) unstable; urgency=medium

  * Replaced obsolete pkg-config build dependency with pkgconf.
  * Updated Standards-Version from 4.6.2 to 4.7.0.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 14 Apr 2024 00:02:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  meson,
- pkg-config,
+ pkgconf,
  libx11-dev,
  libxss-dev,
  x11proto-scrnsaver-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/xprintidle
 Vcs-Git: https://salsa.debian.org/debian/xprintidle.git
 Homepage: https://github.com/g0hl1n/xprintidle/

=== debian/tests/control ===
Tests: test-xvfb-idle
Depends: @, xauth, xvfb
